package com.gamedog.vididin.features.benefit

import android.app.Activity
import android.content.Intent
import android.view.LayoutInflater
import androidx.activity.viewModels
import com.ama.core.architecture.appBase.AppViewsActivity
import com.gamedog.vididin.main.interfaces.OnTabStyleListener
import dagger.hilt.android.AndroidEntryPoint
import kotlin.getValue
import com.gamedog.vididin.databinding.ActivityBenefitBinding as ViewBinding
import com.gamedog.vididin.main.MainUiState as UiState
import com.gamedog.vididin.main.MainViewModel as ViewModel


@AndroidEntryPoint
class BenefitActivity : AppViewsActivity<ViewBinding, UiState, ViewModel>(), OnTabStyleListener {


    override val mViewModel: ViewModel by viewModels()
    override fun inflateViewBinding(inflater: LayoutInflater) = ViewBinding.inflate(inflater)

    override fun ViewBinding.initWindowInsets() {
        setImmerseRootView(contentRoot)
    }


    override fun ViewBinding.initViews() {

        taskItem1.setActionFun {
            gotoWatchVideo()
        }
        taskItem2.setActionFun {
            gotoWatchVideo()
        }
        taskItem3.setActionFun {
            gotoWatchVideo()
        }

    }

    override fun ViewBinding.initListeners() {

    }

    override fun ViewBinding.initObservers() {

    }

    override fun ViewBinding.onUiStateCollect(uiState: UiState) {

    }

    override fun onTabIsDarkFont(isDarkFont: Boolean) {

    }


    private fun gotoWatchVideo() {
        //TODO("Not yet implemented")
    }



    companion object {
        internal fun startActivity(activity: Activity) {
            activity.startActivity(Intent(activity.applicationContext, BenefitActivity::class.java))
        }
    }

}